// Borland C++ Builder
// Copyright (c) 1995, 1999 by Borland International
// All rights reserved

// (DO NOT EDIT: machine generated header) 'RTFList.pas' rev: 4.00

#ifndef RTFListHPP
#define RTFListHPP

#pragma delphiheader begin
#pragma option push -w-
#include <VBaseExport.hpp>	// Pascal unit
#include <Windows.hpp>	// Pascal unit
#include <Graphics.hpp>	// Pascal unit
#include <Classes.hpp>	// Pascal unit
#include <SysInit.hpp>	// Pascal unit
#include <System.hpp>	// Pascal unit

//-- user supplied -----------------------------------------------------------

namespace Rtflist
{
//-- type declarations -------------------------------------------------------
class DELPHICLASS TRTFHeader;
#pragma pack(push, 4)
class PASCALIMPLEMENTATION TRTFHeader : public System::TObject 
{
	typedef System::TObject inherited;
	
private:
	int FDefaultFont;
	int FVersion;
	int FDefaultTab;
	AnsiString FCode;
	void __fastcall SetCode(const AnsiString Value);
	void __fastcall SetDefaultFont(const int Value);
	void __fastcall SetDefaultTab(const int Value);
	void __fastcall SetVersion(const int Value);
	int __fastcall GetSize(void);
	
public:
	__fastcall TRTFHeader(int AVersion, const AnsiString ACode, int ADefaultFont, int ADefaultTab);
	__property int Version = {read=FVersion, write=SetVersion, nodefault};
	__property AnsiString Code = {read=FCode, write=SetCode};
	__property int DefaultFont = {read=FDefaultFont, write=SetDefaultFont, nodefault};
	__property int DefaultTab = {read=FDefaultTab, write=SetDefaultTab, nodefault};
	__property int Size = {read=GetSize, nodefault};
public:
	#pragma option push -w-inl
	/* TObject.Destroy */ inline __fastcall virtual ~TRTFHeader(void) { }
	#pragma option pop
	
};

#pragma pack(pop)

class DELPHICLASS TRTFFontTableItem;
#pragma pack(push, 4)
class PASCALIMPLEMENTATION TRTFFontTableItem : public System::TObject 
{
	typedef System::TObject inherited;
	
private:
	int FFontNumber;
	AnsiString FFontFamily;
	AnsiString FFontName;
	void __fastcall SetFontFamily(const AnsiString Value);
	void __fastcall SetFontName(const AnsiString Value);
	void __fastcall SetFontNumber(const int Value);
	int __fastcall GetSize(void);
	AnsiString __fastcall GetAsText();
	
public:
	__fastcall TRTFFontTableItem(int ANumber, const AnsiString AFamily, const AnsiString AName);
	__property int FontNumber = {read=FFontNumber, write=SetFontNumber, nodefault};
	__property AnsiString FontFamily = {read=FFontFamily, write=SetFontFamily};
	__property AnsiString FontName = {read=FFontName, write=SetFontName};
	__property int Size = {read=GetSize, nodefault};
	__property AnsiString AsText = {read=GetAsText};
public:
	#pragma option push -w-inl
	/* TObject.Destroy */ inline __fastcall virtual ~TRTFFontTableItem(void) { }
	#pragma option pop
	
};

#pragma pack(pop)

class DELPHICLASS TRTFFontTable;
#pragma pack(push, 4)
class PASCALIMPLEMENTATION TRTFFontTable : public Classes::TList 
{
	typedef Classes::TList inherited;
	
private:
	void __fastcall FreeAll(void);
	TRTFFontTableItem* __fastcall GetFontItems(int index);
	void __fastcall SetFontItems(int index, const TRTFFontTableItem* Value);
	int __fastcall GetSize(void);
	
public:
	__fastcall virtual ~TRTFFontTable(void);
	int __fastcall GetFontIndexByName(const AnsiString FontName);
	__property TRTFFontTableItem* FontItems[int index] = {read=GetFontItems, write=SetFontItems/*, default
		*/};
	__property int Size = {read=GetSize, nodefault};
	int __fastcall GetNextNumber(void);
public:
	#pragma option push -w-inl
	/* TObject.Create */ inline __fastcall TRTFFontTable(void) : Classes::TList() { }
	#pragma option pop
	
};

#pragma pack(pop)

class DELPHICLASS TRTFColorTableItem;
#pragma pack(push, 4)
class PASCALIMPLEMENTATION TRTFColorTableItem : public System::TObject 
{
	typedef System::TObject inherited;
	
private:
	int FRed;
	int FGreen;
	int FBlue;
	int __fastcall GetSize(void);
	AnsiString __fastcall GetAsText();
	Graphics::TColor __fastcall GetColor(void);
	
public:
	__fastcall TRTFColorTableItem(int ARed, int AGreen, int ABlue)/* overload */;
	__fastcall TRTFColorTableItem(Graphics::TColor Color)/* overload */;
	__property int Red = {read=FRed, write=FRed, nodefault};
	__property int Green = {read=FGreen, write=FGreen, nodefault};
	__property int Blue = {read=FBlue, write=FBlue, nodefault};
	__property Graphics::TColor Color = {read=GetColor, nodefault};
	__property AnsiString AsText = {read=GetAsText};
	__property int Size = {read=GetSize, nodefault};
public:
	#pragma option push -w-inl
	/* TObject.Destroy */ inline __fastcall virtual ~TRTFColorTableItem(void) { }
	#pragma option pop
	
};

#pragma pack(pop)

class DELPHICLASS TRTFColorTable;
#pragma pack(push, 4)
class PASCALIMPLEMENTATION TRTFColorTable : public Classes::TList 
{
	typedef Classes::TList inherited;
	
private:
	void __fastcall FreeAll(void);
	TRTFColorTableItem* __fastcall GetColors(int index);
	void __fastcall SetColors(int index, const TRTFColorTableItem* Value);
	int __fastcall GetSize(void);
	int __fastcall GetColorIndex(Graphics::TColor Color);
	
public:
	__fastcall virtual ~TRTFColorTable(void);
	__property TRTFColorTableItem* Colors[int index] = {read=GetColors, write=SetColors/*, default*/};
	__property int Size = {read=GetSize, nodefault};
	int __fastcall GetNextNumber(void);
public:
	#pragma option push -w-inl
	/* TObject.Create */ inline __fastcall TRTFColorTable(void) : Classes::TList() { }
	#pragma option pop
	
};

#pragma pack(pop)

class DELPHICLASS TRTF;
#pragma pack(push, 4)
class PASCALIMPLEMENTATION TRTF : public Vbaseexport::TVExportStream 
{
	typedef Vbaseexport::TVExportStream inherited;
	
private:
	TRTFHeader* FHeader;
	TRTFFontTable* FontTable;
	TRTFColorTable* ColorTable;
	void __fastcall SetHeader(const TRTFHeader* Value);
	
public:
	__fastcall virtual TRTF(const AnsiString FileName);
	__fastcall virtual ~TRTF(void);
	void __fastcall NewPara(void);
	void __fastcall WriteHeader(void);
	void __fastcall WriteFontTable(void);
	void __fastcall WriteColorTable(void);
	void __fastcall AddFont(TRTFFontTableItem* AFont);
	void __fastcall AddColor(TRTFColorTableItem* AColor);
	void __fastcall SetFont(Graphics::TFont* Font, bool NeedWrite, AnsiString &FontStr);
	AnsiString __fastcall GetFontText(Graphics::TFont* Font, bool Local);
	AnsiString __fastcall GetColorText(Graphics::TColor Color, bool Background);
	__property TRTFHeader* Header = {read=FHeader, write=SetHeader};
};

#pragma pack(pop)

//-- var, const, procedure ---------------------------------------------------

}	/* namespace Rtflist */
#if !defined(NO_IMPLICIT_NAMESPACE_USE)
using namespace Rtflist;
#endif
#pragma option pop	// -w-

#pragma delphiheader end.
//-- end unit ----------------------------------------------------------------
#endif	// RTFList
